package com.yonge.cooleshow.bbs.dto;

import com.yonge.cooleshow.bbs.enums.YesOrNoEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * Description
 *
 * @author liujunchi
 * @date 2022-06-11
 */
@ApiModel("私信人员列表")
public class PrivateMessagePersonVo {

    @ApiModelProperty("私信对象userid")
    private Long messageUserId;

    @ApiModelProperty("用户名")
    private String username;

    @ApiModelProperty("头像")
    private String avatar;

    @ApiModelProperty(value = "0:未读 1:已读")
    private YesOrNoEnum readFlag;

    @ApiModelProperty("最后一条消息发送时间")
    private String messageTime;

    @ApiModelProperty("最后一条消息内容")
    private String messageContent;


    public Long getMessageUserId() {
        return messageUserId;
    }

    public void setMessageUserId(Long messageUserId) {
        this.messageUserId = messageUserId;
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public String getAvatar() {
        return avatar;
    }

    public void setAvatar(String avatar) {
        this.avatar = avatar;
    }

    public String getMessageTime() {
        return messageTime;
    }

    public void setMessageTime(String messageTime) {
        this.messageTime = messageTime;
    }

    public String getMessageContent() {
        return messageContent;
    }

    public void setMessageContent(String messageContent) {
        this.messageContent = messageContent;
    }

    public YesOrNoEnum getReadFlag() {
        return readFlag;
    }

    public void setReadFlag(YesOrNoEnum readFlag) {
        this.readFlag = readFlag;
    }
}
